<script>
import { GlBadge } from "@gitlab/ui";

export default {
  components: {
    GlBadge,
  },
  labels: [
    {
      title: "UI polish",
      class: "info",
    },
    {
      title: "Beautifying our UI",
      class: "success",
    },
    {
      title: "UX Paper Cuts",
      class: "tier",
    },
  ],
};
</script>

<template>
  <div
    class="heading gl-bg-default gl-border gl-p-5 gl-mb-5 gl-w-full gl-rounded-base"
  >
    <p>
      All Merge Requests with the label
      <span v-for="(label, index) in $options.labels" :key="label.title">
        {{ index === $options.labels.length - 1 ? "or" : "" }}
        <gl-badge :variant="label.class" size="md"> {{ label.title }} </gl-badge
        >{{ index === $options.labels.length - 1 ? "" : "," }}
      </span>
      that have before and after images in a table will show up here.
    </p>

    <p class="gl-m-0 gl-text-subtle gl-text-sm gl-font-monospace">
      Anyone can contribute! Improve this page at
      <a
        href="https://gitlab.com/gitlab-org/foundations/ux-paper-cuts/gitlab-polish-gallery/"
        class="gl-text-blue-500"
      >
        gitlab-org/foundations/ux-paper-cuts/gitlab-polish-gallery/
      </a>
    </p>
  </div>
</template>
